ARCH  = OS
SHOBJ = YES

include ../../include/makeinclude/Makefile.$(ARCH)

APPNAME  = "Resource Name Server Test"
CXXEXTRA = -D_CDEV_MANAGE_SERVERS
LIBS     = -L$(CDEVLIB) -lrsvc $(CDEVLIBS) $(OSLIBS)
BINARIES = $(BASEBIN)/rsvc_cdev_server $(BASEBIN)/rsvc_cdev_client $(BASEBIN)/rsvc_shutdown $(BASEBIN)/queryDataTest

targets: $(BINARIES)

$(BASEBIN)/rsvc_cdev_server: $(OBJDIR)/rsvc_cdev_server.o
	$(LINK.cc) $^ $(LIBS) -o $@
	
$(BASEBIN)/rsvc_cdev_client: $(OBJDIR)/rsvc_cdev_client.o
	$(LINK.cc) $^ $(LIBS) -o $@
	
$(BASEBIN)/rsvc_shutdown: $(OBJDIR)/rsvc_shutdown.o
	$(LINK.cc) $^ $(LIBS) -o $@
	
$(BASEBIN)/queryDataTest: $(OBJDIR)/queryDataTest.o
	$(LINK.cc) $^ $(LIBS) -o $@
	
